Bug 1139924 - (CVE-2019-10072) VUL-0: CVE-2019-10072: tomcat: HTTP/2 connection window exhaustion on write
(CVE-2019-10072)
VUL-0: CVE-2019-10072: tomcat: HTTP/2 connection window exhaustion on write
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/235599/
CVSSv3:ZDI:CVE-2019-10072:5.3:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-01 12:50 UTC by Alexandros Toptsoglou
Modified: 2020-07-10 13:58 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Alexandros Toptsoglou 2019-07-01 12:52:49 UTC
This is related to bsc#1131055. Affected codestreams are: 

SLE-12-SP4:Update 
SLE-15:Update 
SLE-15-SP1:Update 

The related upstream commits can be found at comment 0
Comment 5 Swamp Workflow Management 2019-07-12 16:24:38 UTC
SUSE-SU-2019:1825-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1139924
CVE References: CVE-2019-0199
Sources used:
SUSE Linux Enterprise Module for Web Scripting 15 (src):    tomcat-9.0.21-3.27.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    tomcat-9.0.21-3.27.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2019-07-17 16:18:19 UTC
SUSE-SU-2019:1866-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1131055,1136085,1139924
CVE References: CVE-2019-0199,CVE-2019-0221,CVE-2019-10072
Sources used:
SUSE Linux Enterprise Server 12-SP4 (src):    tomcat-9.0.21-3.13.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2019-07-19 10:14:14 UTC
openSUSE-SU-2019:1723-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1139924
CVE References: CVE-2019-0199
Sources used:
openSUSE Leap 15.0 (src):    tomcat-9.0.21-lp150.2.22.1
Comment 11 Swamp Workflow Management 2020-01-07 20:14:55 UTC
SUSE-SU-2020:0029-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1139924,1159723,1159729
CVE References: CVE-2019-10072,CVE-2019-12418,CVE-2019-17563
Sources used:
SUSE Linux Enterprise Module for Web Scripting 15-SP1 (src):    tomcat-9.0.30-4.10.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    tomcat-9.0.30-4.10.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2020-01-13 23:14:04 UTC
openSUSE-SU-2020:0038-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1139924,1159723,1159729
CVE References: CVE-2019-10072,CVE-2019-12418,CVE-2019-17563
Sources used:
openSUSE Leap 15.1 (src):    tomcat-9.0.30-lp151.3.6.1
Comment 13 Swamp Workflow Management 2020-01-24 14:17:51 UTC
SUSE-SU-2020:0226-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1139924,1159723,1159729,1161025
CVE References: CVE-2019-10072,CVE-2019-12418,CVE-2019-17563
Sources used:
SUSE Linux Enterprise Module for Web Scripting 15 (src):    tomcat-9.0.30-3.34.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    tomcat-9.0.30-3.34.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 14 Swamp Workflow Management 2020-03-10 17:13:56 UTC
SUSE-SU-2020:0632-1: An update that fixes 6 vulnerabilities is now available.

Category: security (important)
Bug References: 1139924,1159723,1159729,1164692,1164825,1164860
CVE References: CVE-2019-10072,CVE-2019-12418,CVE-2019-17563,CVE-2019-17569,CVE-2020-1935,CVE-2020-1938
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    tomcat-9.0.31-3.25.1
SUSE Linux Enterprise Server 12-SP4 (src):    tomcat-9.0.31-3.25.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 15 Alexandros Toptsoglou 2020-07-10 13:58:09 UTC
Done